<?php 
class Model {	
	function __construct(&$locator) {
		$this->locator =& $locator;
	}
	
	function get($key) {
		$file  = DIR_MODEL . $key . '.php';
		$class = 'Model' . $key;
		
		if (file_exists($file)) {
			require_once($file);
		}
		
		return new $class($this->locator);
	}	
}
?>